<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 - 2020 Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<div class="es-apps-item es-island">
	<div class="es-apps-item__hd">
		<a href="<?php echo $post->getPermalink();?>" class="es-apps-item__title"><?php echo $post->title; ?></a>

		<?php if ($user->isViewer() && ($userAcl->get('edit_entry') || $userAcl->get('delete_entry'))) { ?>
		<div class="es-apps-item__action">
			<div class="o-btn-group">
				<button type="button" class="dropdown-toggle_ btn btn-es-default-o btn-xs" data-es-toggle="dropdown">
					<i class="fa fa-caret-down"></i>
				</button>

				<ul class="dropdown-menu dropdown-menu-right">
					<?php if ($userAcl->get('edit_entry')) { ?>
					<li>
						<a href="<?php echo EB::composer()->getComposeUrl(array('uid' => $post->id . '.' . $post->revision_id, 'return' => $return));?>"><?php echo JText::_('APP_USER_BLOG_EDIT_POST');?></a>
					</li>
					<?php } ?>

					<?php if ($userAcl->get('delete_entry')) { ?>
					<li>
						<a href="javascript:void(0);" data-post-delete data-id="<?php echo $post->id; ?>"><?php echo JText::_('APP_USER_BLOG_TRASH_POST');?></a>
						<form action="<?php echo JRoute::_('index.php');?>" data-post-trash="<?php echo $post->id;?>" method="post">
							<?php echo $this->html('form.token'); ?>
							<input type="hidden" name="option" value="com_easyblog" />
							<input type="hidden" name="task" value="posts.trash" />
							<input type="hidden" name="id" value="<?php echo $post->id;?>" />
							<input type="hidden" name="return" value="<?php echo $return;?>" />
						</form>
					</li>
					<?php } ?>
				</ul>
			</div>
		</div>
		<?php } ?>
	</div>

	<div class="es-apps-item__bd">
		<div class="es-apps-item__desc">
			<?php if ($post->image || (!$post->image && $showPlaceholderImage) || (!$post->image && $useFirstImage && $post->getFirstImage())) { ?>
				<?php if (EB::image()->isImage($post->getImage())) { ?>
					<a href="<?php echo $post->getPermalink();?>" class="es-stream-embed__cover">
						<div class="es-stream-embed__cover-img" style="background-image: url('<?php echo $post->imageUrl; ?>');"></div>
					</a>
				<?php } else { ?>
					<div class="es-stream-embed__player">
						<div class="video-container">
							<div id="eb">
							<?php echo EB::media()->renderVideoPlayer($post->getImage(), array('width' => '260','height' => '200','ratio' => '','muted' => false,'autoplay' => false,'loop' => false), false); ?>
							</div>
						</div>
					</div>
				<?php } ?>
			<?php } ?>

			<?php echo $post->content;?>
		</div>
		<div class="es-apps-item__item-action">
			<a href="<?php echo $post->getPermalink();?>" class="btn btn-es-default-o btn-sm"><?php echo JText::_('COM_ES_VIEW_POST');?></a>
		</div>
	</div>

	<div class="es-apps-item__ft">
		<div class="o-grid">
			<div class="o-grid__cell">
				<div class="es-apps-item__meta">
					<div class="es-apps-item__meta-item">
						<ol class="g-list-inline g-list-inline--dashed">
							<li>
								<i class="fa fa-calendar"></i>&nbsp; <?php echo $this->html('string.date', $post->created, JText::_('DATE_FORMAT_LC1')); ?>
							</li>
							<?php foreach ($post->getCategories() as $category) { ?>
							<li>
								<i class="fa fa-folder"></i>&nbsp; <a href="<?php echo EBR::_('index.php?option=com_easyblog&view=categories&layout=listings&id=' . $category->id);?>"><?php echo JText::_($category->title);?></a>
							</li>
							<?php } ?>
							<li>
								<a href="<?php echo EBR::_('index.php?option=com_easyblog&view=entry&id=' . $post->id);?>#comments">
									<i class="fa fa-comments"></i> <?php echo $post->getTotalComments();?> <?php echo JText::_( 'APP_USER_BLOG_COMMENTS' ); ?>
								</a>
							</li>
						</ol>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
